Bug 1767970 - krop has dependencies issue with python3-sip
Summary: krop has dependencies issue with python3-sip
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krop
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tomáš Hozza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-01 18:28 UTC by Yannick Defais
Modified: 2019-11-15 03:01 UTC (History)
2 users (show)

Fixed In Version: krop-0.5.1-6.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-15 03:01:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Yannick Defais 2019-11-01 18:28:59 UTC
Description of problem:
Try to install krop and it downgrades sip.

$ sudo dnf install krop
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:01:14 le ven. 01 nov. 2019 19:18:54 CET.
Dépendances résolues.
=====================================================================================================================================
 Paquet                            Architecture                Version                             Dépôt                       Taille
=====================================================================================================================================
Installation:
 krop                              noarch                      0.5.1-4.fc31                        fedora                       12 k
Installation des dépendances:
 python3-krop                      noarch                      0.5.1-4.fc31                        fedora                       65 k
 python3-sip                       x86_64                      4.19.18-6.fc31                      fedora                       94 k
Rétrogradation:
 sip                               x86_64                      4.19.18-6.fc31                      fedora                      194 k

Résumé de la transaction
=====================================================================================================================================
Installer    3 Paquets
Retrograder  1 Paquet

Taille totale des téléchargements : 364 k
Voulez-vous continuer ? [o/N] : o
Téléchargement des paquets :
[MIRROR] sip-4.19.18-6.fc31.x86_64.rpm: Curl error (28): Timeout was reached for http://mirrors.nic.cz/fedora/linux/development/31/Everything/x86_64/os/Packages/s/sip-4.19.18-6.fc31.x86_64.rpm [Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds]
[MIRROR] krop-0.5.1-4.fc31.noarch.rpm: Curl error (28): Timeout was reached for http://mirrors.nic.cz/fedora/linux/development/31/Everything/x86_64/os/Packages/k/krop-0.5.1-4.fc31.noarch.rpm [Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds]
[MIRROR] python3-krop-0.5.1-4.fc31.noarch.rpm: Curl error (28): Timeout was reached for http://mirrors.nic.cz/fedora/linux/development/31/Everything/x86_64/os/Packages/p/python3-krop-0.5.1-4.fc31.noarch.rpm [Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds]
(1/4): krop-0.5.1-4.fc31.noarch.rpm                                                                  366  B/s |  12 kB     00:32    
(2/4): python3-krop-0.5.1-4.fc31.noarch.rpm                                                          2.0 kB/s |  65 kB     00:32    
(3/4): sip-4.19.18-6.fc31.x86_64.rpm                                                                 5.6 kB/s | 194 kB     00:34    
(4/4): python3-sip-4.19.18-6.fc31.x86_64.rpm                                                          40 kB/s |  94 kB     00:02    
-------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                9.9 kB/s | 364 kB     00:36     
Test de la transaction
La vérification de la transaction a réussi.
Lancement de la transaction de test
Transaction de test réussie.
Exécution de la transaction
  Préparation           :                                                                                                        1/1 
  Installation          : python3-sip-4.19.18-6.fc31.x86_64                                                                      1/5 
  Installation          : python3-krop-0.5.1-4.fc31.noarch                                                                       2/5 
  Installation          : krop-0.5.1-4.fc31.noarch                                                                               3/5 
  Rétrogradation        : sip-4.19.18-6.fc31.x86_64                                                                              4/5 
  Nettoyage de          : sip-4.19.19-1.fc31.x86_64                                                                              5/5 
  Exécution du scriptlet: sip-4.19.19-1.fc31.x86_64                                                                              5/5 
  Vérification de       : sip-4.19.18-6.fc31.x86_64                                                                              1/5 
  Vérification de       : sip-4.19.19-1.fc31.x86_64                                                                              2/5 
  Vérification de       : krop-0.5.1-4.fc31.noarch                                                                               3/5 
  Vérification de       : python3-krop-0.5.1-4.fc31.noarch                                                                       4/5 
  Vérification de       : python3-sip-4.19.18-6.fc31.x86_64                                                                      5/5 

Rétrogradé:
  sip-4.19.18-6.fc31.x86_64                                                                                                          

Installé:
  krop-0.5.1-4.fc31.noarch              python3-krop-0.5.1-4.fc31.noarch              python3-sip-4.19.18-6.fc31.x86_64             

Terminé !

$ sudo dnf update
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:02:45 le ven. 01 nov. 2019 19:18:54 CET.
Dépendances résolues.

 Problème 1: package python3-krop-0.5.1-4.fc31.noarch requires python3-sip, but none of the providers can be installed
  - package sip-4.19.19-1.fc31.x86_64 obsoletes python3-sip < 4.19.19-1.fc31 provided by python3-sip-4.19.18-6.fc31.x86_64
  - cannot install the best update candidate for package python3-sip-4.19.18-6.fc31.x86_64
  - cannot install the best update candidate for package python3-krop-0.5.1-4.fc31.noarch
 Problème 2: package krop-0.5.1-4.fc31.noarch requires python3-krop = 0.5.1-4.fc31, but none of the providers can be installed
  - package python3-krop-0.5.1-4.fc31.noarch requires python3-sip, but none of the providers can be installed
  - package sip-4.19.19-1.fc31.x86_64 obsoletes python3-sip < 4.19.19-1.fc31 provided by python3-sip-4.19.18-6.fc31.x86_64
  - cannot install the best update candidate for package sip-4.19.18-6.fc31.x86_64
  - cannot install the best update candidate for package krop-0.5.1-4.fc31.noarch
Rien à faire.
Terminé !


Version-Release number of selected component (if applicable):
0.5.1-4.fc31

How reproducible:
always

Steps to Reproduce:
1. install krop
2. you'll end up with dependencies issue


Actual results:
dependency issue

Expected results:
no issue

Additional info:

Comment 1 Tomáš Hozza 2019-11-04 14:00:49 UTC
Hi. This is due to changes in sip packages which were done without proper coordination with dependent packages. I'll look into it.

Comment 2 Fedora Update System 2019-11-06 14:51:48 UTC
FEDORA-2019-8ff29248ab has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ff29248ab

Comment 3 Fedora Update System 2019-11-07 01:44:38 UTC
krop-0.5.1-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ff29248ab

Comment 4 Fedora Update System 2019-11-15 03:01:26 UTC
krop-0.5.1-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.